Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface IVLMO

All Superinterfaces:
  ANY, org.eclipse.emf.ecore.EObject, MO, org.eclipse.emf.common.notify.Notifier, QTY, SXCMMO

All Known Implementing Classes:
  IVLMOImpl

    public interface IVLMO

extends SXCMMO

A representation of the model object 'IVLMO'.

The following features are supported:

- `Low`
- `Width`
- `High`
- `High1`
- `Width1`
- `High2`
- `Center`
- `Width2`

See Also:
  `CDAR2Package.getIVLMO()`

Method Summary
`MO` | `getCenter()` Returns the value of the 'Center' containment reference.
`IVXBMO` | `getHigh()` Returns the value of the 'High' containment reference.
`IVXBMO` | `getHigh1()` Returns the value of the 'High1' containment reference.
`IVXBMO` | `getHigh2()` Returns the value of the 'High2' containment reference.
`IVXBMO` | `getLow()` Returns the value of the 'Low' containment reference.
`MO` | `getWidth()` Returns the value of the 'Width' containment reference.
`MO` | `getWidth1()` Returns the value of the 'Width1' containment reference.
`MO` | `getWidth2()` Returns the value of the 'Width2' containment reference.
`void` | `setCenter(MO value)` Sets the value of the '`Center`' containment reference.
`void` | `setHigh(IVXBMO value)` Sets the value of the '`High`' containment reference.
`void` | `setHigh1(IVXBMO value)` Sets the value of the '`High1`' containment reference.
`void` | `setHigh2(IVXBMO value)` Sets the value of the '`High2`' containment reference.
`void` | `setLow(IVXBMO value)` Sets the value of the '`Low`' containment reference.
`void` | `setWidth(MO value)` Sets the value of the '`Width`' containment reference.
`void` | `setWidth1(MO value)` Sets the value of the '`Width1`' containment reference.
`void` | `setWidth2(MO value)` Sets the value of the '`Width2`' containment reference.

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.SXCMMO
`getOperator, isSetOperator, setOperator, unsetOperator`

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.MO
`getCurrency, getValue, setCurrency, setValue`

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.ANY
`getNullFlavor, setNullFlavor`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getLow

    IVXBMO getLow()

  Returns the value of the 'Low' containment reference. The low limit of the interval.

  Returns:
    the value of the 'Low' containment reference.
  See Also:
    `setLow(IVXBMO)`, `CDAR2Package.getIVLMO_Low()`

### setLow

    void setLow(IVXBMO value)

  Sets the value of the '`Low`' containment reference.

  Parameters:
    `value` - the new value of the 'Low' containment reference.
  See Also:
    `getLow()`

### getWidth

    MO getWidth()

  Returns the value of the 'Width' containment reference. The difference between high and low boundary. The purpose of distinguishing a width property is to handle all cases of incomplete information symmetrically. In any interval representation only two of the three properties high, low, and width need to be stated and the third can be derived.

  Returns:
    the value of the 'Width' containment reference.
  See Also:
    `setWidth(MO)`, `CDAR2Package.getIVLMO_Width()`

### setWidth

    void setWidth(MO value)

  Sets the value of the '`Width`' containment reference.

  Parameters:
    `value` - the new value of the 'Width' containment reference.
  See Also:
    `getWidth()`

### getHigh

    IVXBMO getHigh()

  Returns the value of the 'High' containment reference. The high limit of the interval.

  Returns:
    the value of the 'High' containment reference.
  See Also:
    `setHigh(IVXBMO)`, `CDAR2Package.getIVLMO_High()`

### setHigh

    void setHigh(IVXBMO value)

  Sets the value of the '`High`' containment reference.

  Parameters:
    `value` - the new value of the 'High' containment reference.
  See Also:
    `getHigh()`

### getHigh1

    IVXBMO getHigh1()

  Returns the value of the 'High1' containment reference.

  If the meaning of the 'High1' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'High1' containment reference.
  See Also:
    `setHigh1(IVXBMO)`, `CDAR2Package.getIVLMO_High1()`

### setHigh1

    void setHigh1(IVXBMO value)

  Sets the value of the '`High1`' containment reference.

  Parameters:
    `value` - the new value of the 'High1' containment reference.
  See Also:
    `getHigh1()`

### getWidth1

    MO getWidth1()

  Returns the value of the 'Width1' containment reference. The difference between high and low boundary. The purpose of distinguishing a width property is to handle all cases of incomplete information symmetrically. In any interval representation only two of the three properties high, low, and width need to be stated and the third can be derived.

  Returns:
    the value of the 'Width1' containment reference.
  See Also:
    `setWidth1(MO)`, `CDAR2Package.getIVLMO_Width1()`

### setWidth1

    void setWidth1(MO value)

  Sets the value of the '`Width1`' containment reference.

  Parameters:
    `value` - the new value of the 'Width1' containment reference.
  See Also:
    `getWidth1()`

### getHigh2

    IVXBMO getHigh2()

  Returns the value of the 'High2' containment reference. The high limit of the interval.

  Returns:
    the value of the 'High2' containment reference.
  See Also:
    `setHigh2(IVXBMO)`, `CDAR2Package.getIVLMO_High2()`

### setHigh2

    void setHigh2(IVXBMO value)

  Sets the value of the '`High2`' containment reference.

  Parameters:
    `value` - the new value of the 'High2' containment reference.
  See Also:
    `getHigh2()`

### getCenter

    MO getCenter()

  Returns the value of the 'Center' containment reference. The arithmetic mean of the interval (low plus high divided by 2). The purpose of distinguishing the center as a semantic property is for conversions of intervals from and to point values.

  Returns:
    the value of the 'Center' containment reference.
  See Also:
    `setCenter(MO)`, `CDAR2Package.getIVLMO_Center()`

### setCenter

    void setCenter(MO value)

  Sets the value of the '`Center`' containment reference.

  Parameters:
    `value` - the new value of the 'Center' containment reference.
  See Also:
    `getCenter()`

### getWidth2

    MO getWidth2()

  Returns the value of the 'Width2' containment reference. The difference between high and low boundary. The purpose of distinguishing a width property is to handle all cases of incomplete information symmetrically. In any interval representation only two of the three properties high, low, and width need to be stated and the third can be derived.

  Returns:
    the value of the 'Width2' containment reference.
  See Also:
    `setWidth2(MO)`, `CDAR2Package.getIVLMO_Width2()`

### setWidth2

    void setWidth2(MO value)

  Sets the value of the '`Width2`' containment reference.

  Parameters:
    `value` - the new value of the 'Width2' containment reference.
  See Also:
    `getWidth2()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD